> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.ard.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get weather statuses

> Replies with a JSON object containing statuses data including id, arabic and english description



## OpenAPI

````yaml api-reference/pinpoint/openapi.json get /statuses
openapi: 3.0.1
info:
  title: Pinpoint API
  description: >-
    Weather forecast API providing hourly and daily forecasts, location
    information, and weather parameters
  version: 1.0.0
servers:
  - url: http://pinpoint.devops.arabiaweather.com
    description: Development API server
  - url: http://n01.pinpoint.devops.arabiaweather.com
    description: Development node n01
  - url: http://n02.pinpoint.devops.arabiaweather.com
    description: Development node n02
  - url: http://n03.pinpoint.devops.arabiaweather.com
    description: Development node n03
  - url: http://n04.pinpoint.devops.arabiaweather.com
    description: Development node n04
  - url: http://n05.pinpoint.devops.arabiaweather.com
    description: Development node n05
  - url: http://internal-tools-pinpoint.devops.arabiaweather.com
    description: Internal tools API server
security: []
tags:
  - name: forecast
  - name: parameters
  - name: location
  - name: admin
  - name: debug
paths:
  /statuses:
    get:
      tags: []
      summary: Get weather statuses
      description: >-
        Replies with a JSON object containing statuses data including id, arabic
        and english description
      parameters:
        - name: extras
          in: query
          description: Extra status data to include (e.g., 'needs_taqs_prefix')
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Weather statuses data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusesResponse'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    StatusesResponse:
      type: object
      additionalProperties:
        type: object
        properties:
          en:
            type: string
            description: English description
          ar:
            type: string
            description: Arabic description
          needs_taqs_prefix:
            type: boolean
            description: Whether status needs taqs prefix (if requested)
      example:
        01d:
          en: Clear sky
          ar: صافٍ
          needs_taqs_prefix: true
        01n:
          en: Clear sky
          ar: صافٍ
          needs_taqs_prefix: true
        02d:
          en: Partly cloudy
          ar: غائم جزئياً
          needs_taqs_prefix: true
      properties: {}

````